Update a Resource
Facets Deployment Controller API: PUT endpoint to update an existing resource in a blueprint branch within the designer.
Authorization
basicAuth AuthorizationBasic <token>
In: header
Path Parameters
stackName*string
branch*string
Query Parameters
changeAffectedResources?boolean
Default
falseRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://facetsdemo.console.facets.cloud/cc-ui/v1/designer/string/branch/string" \ -H "Content-Type: application/json" \ -d '{}'Empty
{
"approvalUrl": "string",
"code": "string",
"errorCode": "string",
"message": "string",
"missingPermissions": [
"string"
]
}"string"{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}